# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-09-05 20:44
from __future__ import unicode_literals

from django.db import migrations
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.embeds.blocks


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0010_staticpage_subtitle'),
    ]

    operations = [
        migrations.AlterField(
            model_name='blogpage',
            name='body',
            field=wagtail.core.fields.StreamField([(b'h2', wagtail.core.blocks.CharBlock(icon=b'title')), (b'h3', wagtail.core.blocks.CharBlock(icon=b'title')), (b'paragraph', wagtail.core.blocks.RichTextBlock(icon=b'pilcrow')), (b'video', wagtail.core.blocks.StructBlock([(b'video_link', wagtail.embeds.blocks.EmbedBlock())], icon=b'media', label='Embedded video')), (b'pullquote', wagtail.core.blocks.StructBlock([(b'quote', wagtail.core.blocks.TextBlock(label='Quote title')), (b'attribution', wagtail.core.blocks.CharBlock())], icon=b'openquote', label='Quote')), (b'rawhtml', wagtail.core.blocks.RawHTMLBlock(icon=b'placeholder', label='Embed HTML')), (b'code', wagtail.core.blocks.StructBlock([(b'language', wagtail.core.blocks.ChoiceBlock(choices=[(b'python', b'Python'), (b'bash', b'Bash/Shell'), (b'html', b'HTML'), (b'css', b'CSS'), (b'scss', b'SCSS')])), (b'code', wagtail.core.blocks.TextBlock())], icon=b'code', label='Embed code'))]),
        ),
        migrations.AlterField(
            model_name='blogpage',
            name='intro',
            field=wagtail.core.fields.StreamField([(b'h2', wagtail.core.blocks.CharBlock(icon=b'title')), (b'h3', wagtail.core.blocks.CharBlock(icon=b'title')), (b'paragraph', wagtail.core.blocks.RichTextBlock(icon=b'pilcrow')), (b'video', wagtail.core.blocks.StructBlock([(b'video_link', wagtail.embeds.blocks.EmbedBlock())], icon=b'media', label='Embedded video')), (b'pullquote', wagtail.core.blocks.StructBlock([(b'quote', wagtail.core.blocks.TextBlock(label='Quote title')), (b'attribution', wagtail.core.blocks.CharBlock())], icon=b'openquote', label='Quote')), (b'rawhtml', wagtail.core.blocks.RawHTMLBlock(icon=b'placeholder', label='Embed HTML')), (b'code', wagtail.core.blocks.StructBlock([(b'language', wagtail.core.blocks.ChoiceBlock(choices=[(b'python', b'Python'), (b'bash', b'Bash/Shell'), (b'html', b'HTML'), (b'css', b'CSS'), (b'scss', b'SCSS')])), (b'code', wagtail.core.blocks.TextBlock())], icon=b'code', label='Embed code'))], null=True),
        ),
        migrations.AlterField(
            model_name='staticpage',
            name='body',
            field=wagtail.core.fields.StreamField([(b'h2', wagtail.core.blocks.CharBlock(icon=b'title')), (b'h3', wagtail.core.blocks.CharBlock(icon=b'title')), (b'paragraph', wagtail.core.blocks.RichTextBlock(icon=b'pilcrow')), (b'video', wagtail.core.blocks.StructBlock([(b'video_link', wagtail.embeds.blocks.EmbedBlock())], icon=b'media', label='Embedded video')), (b'pullquote', wagtail.core.blocks.StructBlock([(b'quote', wagtail.core.blocks.TextBlock(label='Quote title')), (b'attribution', wagtail.core.blocks.CharBlock())], icon=b'openquote', label='Quote')), (b'rawhtml', wagtail.core.blocks.RawHTMLBlock(icon=b'placeholder', label='Embed HTML')), (b'code', wagtail.core.blocks.StructBlock([(b'language', wagtail.core.blocks.ChoiceBlock(choices=[(b'python', b'Python'), (b'bash', b'Bash/Shell'), (b'html', b'HTML'), (b'css', b'CSS'), (b'scss', b'SCSS')])), (b'code', wagtail.core.blocks.TextBlock())], icon=b'code', label='Embed code'))]),
        ),
    ]
